<!--
	Notes on customer variables:
	1. quantity = "low", "medium" or "high". Determines the quantity of each order item.
	2. variety = "low", "medium" or "high". Determines the number of types of items in an order (Max = 3)
	3. tips = "low", "medium" or "high". Determines whether the customer is a good tipper.
	
	Notes on orders:
	1. Each customer has a list of orders that he/she would prefer.
	2. The game logic cycles through the list, looping back to the beginning when it reaches the end.
	3. If the particular order type is not available at a particular stage, the next in the list is taken.
	
	List of valid orders:
	1. displayCake
	2. customCake
	3. coffee
	4. juice
	5. milk
	6. chocolate
	7. tea
	8. water
		
-->
<customers>
	<customer name="customer_granny" actor="customer_granny" initialWaitTimeInMinutes="5" quantity="high" variety="high" tips="low">
		<order>displayCake</order>
		<order>displayCake</order>
		<order>milk</order>
		<order>displayCake</order>
		<order>displayCake</order>
		<order>water</order>
		<order>displayCake</order>
		<order>shirt</order>
	</customer>
	<customer name="customer_moonbeam" actor="customer_moonbeam" initialWaitTimeInMinutes="5" quantity="low" variety="low" tips="low">
		<order>displayCake</order>
		<order>displayCake</order>
		<order>bag</order>
		<order>displayCake</order>
		<order>tea</order>
	</customer>
	<customer name="customer_fred" actor="customer_fred" initialWaitTimeInMinutes="5" quantity="high" variety="medium" tips="low">
		<order>displayCake</order>
		<order>coffeeWithCream</order>
		<!--order>coffee</order-->
		<order>displayCake</order>
		<order>hat</order>
		<order>displayCake</order>
		<order>displayCake</order>
		<order>tea</order>
		<order>water</order>
	</customer>
	<customer name="customer_eryka" actor="customer_eryka" initialWaitTimeInMinutes="4" quantity="low" variety="medium" tips="medium">
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>bag</order>
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>shirt</order>
	</customer>
	<customer name="customer_clarissa" actor="customer_clarissa" initialWaitTimeInMinutes="3" quantity="low" variety="low" tips="high">
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>milk</order>
		<order>bag</order>
		<order>displayCake</order>
		<order>juice</order>
		<order>chocolate</order>
	</customer>
	<customer name="customer_taro" actor="customer_taro" initialWaitTimeInMinutes="4" quantity="medium" variety="medium" tips="medium">
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>hat</order>
		<order>displayCake</order>
		<order>shirt</order>
		<order>displayCake</order>
		<order>bag</order>
		<order>displayCake</order>
		<order>tea</order>
		<order>water</order>
	</customer>	
	<customer name="customer_beyonce" actor="customer_beyonce" initialWaitTimeInMinutes="4" quantity="low" variety="low" tips="medium">
		<order>displayCake</order>
		<order>coffee</order>
		<order>displayCake</order>
		<order>displayCake</order>
		<order>coffee</order>
		<order>hat</order>
		<order>displayCake</order>
		<order>chocolate</order>
	</customer>
	<customer name="customer_missfortune" actor="customer_missfortune" initialWaitTimeInMinutes="3" quantity="high" variety="high" tips="high">
		<order>displayCake</order>
		<order>shirt</order>
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>displayCake</order>
	</customer>
	<customer name="customer_officer" actor="customer_officer" initialWaitTimeInMinutes="3" quantity="high" variety="low" tips="high">
		<order>coffee</order>
		<order>displayCake</order>
		<order>coffee</order>
		<order>displayCake</order>
		<order>coffee</order>
		<order>displayCake</order>
		<order>coffee</order>
		<order>displayCake</order>
	</customer>
	<customer name="customer_mom" actor="customer_mom" initialWaitTimeInMinutes="3" quantity="high" variety="high" tips="high">
		<order>displayCake</order>
		<order>shirt</order>
		<order>displayCake</order>
		<order>juice</order>
		<order>displayCake</order>
		<order>displayCake</order>
	</customer>
</customers>